<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RVpnGroupMember StructType
 * @subpackage Structs
 */
class RVpnGroupMember extends AbstractStructBase
{
    /**
     * The vpnGatewayName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $vpnGatewayName;
    /**
     * The priority
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $priority;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RVpnGroupMember
     * @uses RVpnGroupMember::setVpnGatewayName()
     * @uses RVpnGroupMember::setPriority()
     * @uses RVpnGroupMember::setUuid()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $vpnGatewayName
     * @param string $priority
     * @param string $uuid
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $vpnGatewayName = null, $priority = null, $uuid = null)
    {
        $this
            ->setVpnGatewayName($vpnGatewayName)
            ->setPriority($priority)
            ->setUuid($uuid);
    }
    /**
     * Get vpnGatewayName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getVpnGatewayName()
    {
        return $this->vpnGatewayName;
    }
    /**
     * Set vpnGatewayName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $vpnGatewayName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RVpnGroupMember
     */
    public function setVpnGatewayName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $vpnGatewayName = null)
    {
        $this->vpnGatewayName = $vpnGatewayName;
        return $this;
    }
    /**
     * Get priority value
     * @return string|null
     */
    public function getPriority()
    {
        return $this->priority;
    }
    /**
     * Set priority value
     * @param string $priority
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RVpnGroupMember
     */
    public function setPriority($priority = null)
    {
        $this->priority = $priority;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RVpnGroupMember
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
